Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005394 [JEDI VCL] 00 JVCL Components crash always 2010-11-08 16:09 2012-02-29 16:53
Reporter rcbeuker View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005394: JvDockSupportControl crashes at shutdown with Delphi/C++Builder XE
Description JvDockSupportControl contains a rather ugly workaround for a crash at shutdown (line 2960);

{$ifdef VER210}
  if (csDestroying in Self.ComponentState) then exit; // rather ugly workaround for Delphi2010 crash at shutdown.
{$endif}

Using Delphi/C++Builder XE the component crashes again...

The ugly bus should be fixed or an extra define is needed;

{$ifdef VER220}
  if (csDestroying in Self.ComponentState) then exit;
{$endif}
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018042)
obones (administrator)
2010-11-09 14:26

Thank you, this is fixed in SVN

- Issue History
Date Modified Username Field Change
2010-11-08 16:09 rcbeuker New Issue
2010-11-09 14:26 obones Note Added: 0018042
2010-11-09 14:26 obones Status new => resolved
2010-11-09 14:26 obones Fixed in Version => Daily / SVN
2010-11-09 14:26 obones Resolution open => fixed
2010-11-09 14:26 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker